## girara 0.2.8

=== Makefile ===
# See LICENSE file for license and copyright information

include config.mk
include colors.mk
include common.mk

PROJECTNV     = girara
PROJECT       = girara-gtk3

SOURCE        = $(sort $(wildcard ${PROJECTNV}/*.c))
CSOURCE       = $(filter-out ${PROJECTNV}/css-definitions.c, ${SOURCE})

OBJECTS       = $(addprefix ${BUILDDIR_RELEASE}/,${CSOURCE:.c=.o}) \
	${BUILDDIR_RELEASE}/${PROJECTNV}/css-definitions.o
OBJECTS_DEBUG = $(addprefix ${BUILDDIR_DEBUG}/,${CSOURCE:.c=.o}) \
	${BUILDDIR_DEBUG}/${PROJECTNV}/css-definitions.o
OBJECTS_GCOV  = $(addprefix ${BUILDDIR_GCOV}/,${CSOURCE:.c=.o}) \
	${BUILDDIR_GCOV}/${PROJECTNV}/css-definitions.o

HEADERS       = $(filter-out ${PROJECTNV}/internal.h, $(sort $(wildcard ${PROJECTNV}/*.h)))

ifneq (${WITH_LIBNOTIFY},0)
CPPFLAGS += -DWITH_LIBNOTIFY
LIBNOTIFY_PC_NAME = libnotify
else
LIBNOTIFY_PC_NAME =
endif

ifneq (${WITH_JSON},0)
CPPFLAGS += -DWITH_JSON
JSON_PC_NAME = json-c
else
JSON_PC_NAME =
endif

ifeq (,$(findstring -DGETTEXT_PACKAGE,${CPPFLAGS}))
CPPFLAGS += -DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\"
endif
ifeq (,$(findstring -DLOCALEDIR,${CPPFLAGS}))
CPPFLAGS += -DLOCALEDIR=\"${LOCALEDIR}\"
endif

UNAME := $(shell uname -s)
ifeq ($(UNAME), Darwin)
SONAME_FLAG = -install_name
SHARED_FLAG = -dynamiclib
SOFILE = lib${PROJECT}.dylib
SOVERSIONFILE = lib${PROJECT}.${SOVERSION}.dylib
SOMAJORFILE = lib${PROJECT}.${SOMAJOR}.dylib
BUILDSOMAJORFILE = ${LIBDIR}/${SOMAJORFILE}
PLATFORMFLAGS = -current_version ${SOVERSION} -compatibility_version ${SOMAJOR}
else
SOFILE = lib${PROJECT}.so
SOVERSIONFILE = ${SOFILE}.${SOVERSION}
SOMAJORFILE = ${SOFILE}.${SOMAJOR}
BUILDSOMAJORFILE = ${SOMAJORFILE}
PLATFORMFLAGS =
endif

all: ${PROJECTNV} ${BUILDDIR}/${PROJECT}.pc po

# pkg-config based version checks
.version-checks/%: config.mk
	$(QUIET)test $($(*)_VERSION_CHECK) -eq 0 || \
		${PKG_CONFIG} --atleast-version $($(*)_MIN_VERSION) $($(*)_PKG_CONFIG_NAME) || ( \
		echo "The minimum required version of $(*) is $($(*)_MIN_VERSION)" && \
		false \
	)
	@mkdir -p .version-checks
	$(QUIET)touch $@

options:
	@echo ${PROJECTNV} build options:
	@echo "CFLAGS             = ${CFLAGS}"
	@echo "LDFLAGS            = ${LDFLAGS}"
	@echo "DFLAGS             = ${DFLAGS}"
	@echo "CC                 = ${CC}"
	@echo "PLATFORMFLAGS      = ${PLATFORMFLAGS}"

# generated files

${PROJECTNV}/version.h: ${PROJECTNV}/version.h.in config.mk
	$(call colorecho,GEN,$@)
	$(QUIET)sed \
		-e 's,@GVMAJOR@,${GIRARA_VERSION_MAJOR},' \
		-e 's,@GVMINOR@,${GIRARA_VERSION_MINOR},' \
		-e 's,@GVREV@,${GIRARA_VERSION_REV},' \
		${PROJECTNV}/version.h.in > ${PROJECTNV}/version.h.tmp
	$(QUIET)mv ${PROJECTNV}/version.h.tmp ${PROJECTNV}/version.h

${PROJECTNV}/css-definitions.%: data/girara-css.gresource.xml config.mk
	$(call colorecho,GEN,$@)
	@mkdir -p ${DEPENDDIR}/$(dir $@)
	$(QUIET)$(GLIB_COMPILE_RESOURCES) --generate --c-name=girara_css --internal \
		--dependency-file=$(DEPENDDIR)/$@.dep \
		--sourcedir=data --target=$@ data/girara-css.gresource.xml

${BUILDDIR}/${PROJECT}.pc: ${PROJECTNV}.pc.in config.mk
	$(call colorecho,GEN,$(shell basename $@))
	@mkdir -p ${BUILDDIR}
	$(QUIET)sed -e 's,@PROJECT@,${PROJECT},' \
		-e 's,@VERSION@,${VERSION},' \
		-e 's,@INCLUDEDIR@,${INCLUDEDIR},' \
		-e 's,@LIBDIR@,${LIBDIR},' \
		-e 's,@LIBNOTIFY_PC_NAME@,${LIBNOTIFY_PC_NAME},' \
		-e 's,@JSON_PC_NAME@,${JSON_PC_NAME},' \
		${PROJECTNV}.pc.in > $@.tmp
	$(QUIET)mv $@.tmp $@

# release build

${OBJECTS}: config.mk \
	${PROJECTNV}/version.h \
	.version-checks/GTK \
	.version-checks/GLIB \
	${PROJECTNV}/css-definitions.h

${BUILDDIR_RELEASE}/%.o: %.c
	$(call colorecho,CC,$<)
	@mkdir -p ${DEPENDDIR}/$(dir $@)
	@mkdir -p $(dir $(abspath $@))
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} -o $@ $< \
		-MMD -MF ${DEPENDDIR}/$@.dep

${BUILDDIR_RELEASE}/${BINDIR}/lib${PROJECT}.a: ${OBJECTS}
	$(call colorecho,AR,$@)
	@mkdir -p ${BUILDDIR_RELEASE}/${BINDIR}
	$(QUIET)${AR} rcs $@ ${OBJECTS}

${BUILDDIR_RELEASE}/${BINDIR}/${SOVERSIONFILE}: ${OBJECTS}
	$(call colorecho,LD,$@)
	@mkdir -p ${BUILDDIR_RELEASE}/${BINDIR}
	$(QUIET)${CC} -Wl,${SONAME_FLAG},${BUILDSOMAJORFILE} \
		${SHARED_FLAG} ${PLATFORMFLAGS} ${LDFLAGS} -o $@ ${OBJECTS} ${LIBS}

${PROJECT}: static shared
${PROJECTNV}: ${PROJECT}
static: ${BUILDDIR_RELEASE}/${BINDIR}/lib${PROJECT}.a
shared: ${BUILDDIR_RELEASE}/${BINDIR}/${SOVERSIONFILE}
release: ${PROJECT}

# debug build

${OBJECT_DEBUG}: config.mk \
	${PROJECTNV}/version.h \
	.version-checks/GTK \
	.version-checks/GLIB \
	${PROJECTNV}/css-definitions.h

${BUILDDIR_DEBUG}/%.o: %.c
	$(call colorecho,CC,$<)
	@mkdir -p ${DEPENDDIR}/$(dir $@)
	@mkdir -p $(dir $(abspath $@))
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${DFLAGS} -o $@ $< \
		-MMD -MF ${DEPENDDIR}/$@.dep

${BUILDDIR_DEBUG}/${BINDIR}/lib${PROJECT}.a: ${OBJECTS_DEBUG}
	$(call colorecho,AR,$@)
	@mkdir -p ${BUILDDIR_DEBUG}/${BINDIR}
	$(QUIET)${AR} rcs $@ ${OBJECTS_DEBUG}

${BUILDDIR_DEBUG}/${BINDIR}/${SOVERSIONFILE}: ${OBJECTS_DEBUG}
	$(call colorecho,LD,$@)
	@mkdir -p ${BUILDDIR_DEBUG}/${BINDIR}
	$(QUIET)${CC} -Wl,${SONAME_FLAG},${BUILDSOMAJORFILE} ${SHARED_FLAG} ${PLATFORMFLAGS} ${LDFLAGS} -o $@ ${OBJECTS_DEBUG} ${LIBS}

${PROJECT}-debug: \
	${BUILDDIR_DEBUG}/${BINDIR}/lib${PROJECT}.a \
	${BUILDDIR_DEBUG}/${BINDIR}/${SOVERSIONFILE}
debug: ${PROJECT}-debug

# gcov build

${OBJECTS_GCOV}: config.mk \
	${PROJECTNV}/version.h \
	${PROJECTNV}/css-definitions.h \
	.version-checks/GLIB \
	.version-checks/GTK

${BUILDDIR_GCOV}/%.o: %.c
	$(call colorecho,CC,$<)
	@mkdir -p ${DEPENDDIR}/$(dir $@)
	@mkdir -p $(dir $(abspath $@))
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${GCOV_CFLAGS} \
		-o $@ $< -MMD -MF ${DEPENDDIR}/$@.dep

${BUILDDIR_GCOV}/${BINDIR}/lib${PROJECT}.a: ${OBJECTS_GCOV}
	$(call colorecho,AR,$@)
	@mkdir -p ${BUILDDIR_GCOV}/${BINDIR}
	$(QUIET)${AR} rcs $@ ${OBJECTS_GCOV}

${BUILDDIR_GCOV}/${BINDIR}/${SOVERSIONFILE}: ${OBJECTS_GCOV}
	$(call colorecho,LD,$@)
	@mkdir -p ${BUILDDIR_GCOV}/${BINDIR}
	$(QUIET)${CC} -Wl,${SONAME_FLAG},${BUILDSOMAJORFILE} ${SHARED_FLAG} \
		${PLATFORMFLAGS} ${GCOV_LDFLAGS} -o $@ ${OBJECTS_GCOV} ${LIBS}

${PROJECT}-gcov: ${BUILDDIR_GCOV}/${BINDIR}/lib${PROJECT}.a
gcov: ${PROJECT}-gcov

run-gcov: options gcov
	$(QUIET)${MAKE} -C tests run-gcov
	$(call colorecho,LCOV,"Analyse data")
	$(QUIET)${LCOV_EXEC} ${LCOV_FLAGS}
	$(call colorecho,LCOV,"Generate report")
	$(QUIET)${GENHTML_EXEC} ${GENHTML_FLAGS}

# clean

clean:
	$(QUIET)rm -rf \
		${BUILDDIR} \
		${DEPENDDIR} \
		${TARFILE} \
		${GCDA} \
		${GCNO} \
		$(PROJECT).info \
		gcov \
		.version-checks \
		${PROJECTNV}/version.h \
		${PROJECTNV}/version.h.tmp \
		${PROJECTNV}/css-definitions.c \
		${PROJECTNV}/css-definitions.h
	$(QUIET)$(MAKE) -C tests clean
	$(QUIET)$(MAKE) -C po clean
	$(QUIET)$(MAKE) -C doc clean

# translations

po:
	$(QUIET)${MAKE} -C po

update-po:
	$(QUIET)${MAKE} -C po update-po

# documentation

doc:
	$(QUIET)$(MAKE) -C doc

# tests

test: ${PROJECT}
	$(QUIET)$(MAKE) -C tests run

test-debug: ${PROJECT}-debug
	$(QUIET)$(MAKE) -C tests run-debug

# create taball

dist:
	$(QUIET)tar -czf $(TARFILE) --exclude=.gitignore \
		--transform 's,^,$(PROJECTNV)-$(VERSION)/,' \
		`git ls-files`

# install

install-static: static
	$(call colorecho,INSTALL,"Install static library")
	$(QUIET)mkdir -m 755 -p ${DESTDIR}${LIBDIR}
	$(QUIET)install -m 644 ${BUILDDIR_RELEASE}/${BINDIR}/lib${PROJECT}.a ${DESTDIR}${LIBDIR}

install-shared: shared
	$(call colorecho,INSTALL,"Install shared library")
	$(QUIET)mkdir -m 755 -p ${DESTDIR}${LIBDIR}
	$(QUIET)install -m 644 ${BUILDDIR_RELEASE}/${BINDIR}/${SOVERSIONFILE} ${DESTDIR}${LIBDIR}
	$(QUIET)ln -sf ${SOVERSIONFILE} ${DESTDIR}${LIBDIR}/${SOMAJORFILE} || \
		echo "Failed to create ${SOMAJORFILE}. Please check if it exists and points to the correct version of ${SOFILE}."
	$(QUIET)ln -sf ${SOVERSIONFILE} ${DESTDIR}${LIBDIR}/${SOFILE} || \
		echo "Failed to create ${SOFILE}. Please check if it exists and points to the correct version of ${SOFILE}."

install-headers: ${PROJECTNV}/version.h ${BUILDDIR}/${PROJECT}.pc
	$(call colorecho,INSTALL,"Install pkg-config file")
	$(QUIET)mkdir -m 755 -p ${DESTDIR}${LIBDIR}/pkgconfig
	$(QUIET)install -m 644 ${BUILDDIR}/${PROJECT}.pc ${DESTDIR}${LIBDIR}/pkgconfig
	$(call colorecho,INSTALL,"Install header files")
	$(QUIET)mkdir -m 755 -p ${DESTDIR}${INCLUDEDIR}/girara
	$(QUIET)install -m 644 ${HEADERS} ${DESTDIR}${INCLUDEDIR}/girara

install-po:
	$(QUIET)${MAKE} -C po install

install: install-po install-static install-shared install-headers

# uninstall

uninstall: uninstall-headers
	$(call colorecho,UNINSTALL,"Remove library files")
	$(QUIET)rm -f ${LIBDIR}/lib${PROJECT}.a ${LIBDIR}/${SOVERSIONFILE} \
		${LIBDIR}/${SOMAJORFILE} ${LIBDIR}/${SOFILE}
	$(QUIET)${MAKE} -C po uninstall

uninstall-headers:
	$(call colorecho,UNINSTALL,"Remove header files")
	$(QUIET)rm -rf ${DESTDIR}${INCLUDEDIR}/girara
	$(call colorecho,UNINSTALL,"Remove pkg-config file")
	$(QUIET)rm -f ${DESTDIR}${LIBDIR}/pkgconfig/${PROJECT}.pc

# format and tidy

format:
	clang-tidy -fix -checks=readability-braces-around-statements \
		$(SOURCE) -- $(CPPFLAGS) $(CFLAGS)
	clang-format -i $(SOURCE) $(HEADERS)

tidy:
	clang-tidy $(SOURCE) -- $(CPPFLAGS) $(CFLAGS)

DEPENDS = ${DEPENDDIRS:^=${DEPENDDIR}/}$(addprefix ${DEPENDDIR}/,${OBJECTS:.o=.o.dep})
-include ${DEPENDS}

.PHONY: all options clean debug doc test dist install install-headers uninstall \
	uninstall-headers ${PROJECT} ${PROJECT}-debug po update-po \
	static shared install-static install-shared

=== po/Makefile ===
# See LICENSE file for license and copyright information

include ../config.mk
include ../common.mk
include ../colors.mk

PROJECTNV  = girara
PROJECT    = girara-gtk3
CATALOGS   = $(sort $(wildcard *.po))
LINGUAS   ?= $(patsubst %.po, %, $(CATALOGS))
ifeq ($(LINGUAS),)
ALINGUAS   =
else
ALINGUAS   = $(shell find $(patsubst %, %.po, $(LINGUAS)) 2>/dev/null)
endif
MOS = $(patsubst %, %/LC_MESSAGES/${GETTEXT_PACKAGE}.mo, $(patsubst %.po, %, $(ALINGUAS)))

all: ${MOS}

clean:
	$(QUIET)rm -rf POTFILES.in POTFILES.in.tmp $(patsubst %.po, %, $(CATALOGS)) ${PROJECT}.pot

POTFILES.in: $(sort $(wildcard ../girara/*.c))
	$(QUIET) set -e && rm -f $@.tmp && touch $@.tmp && \
	for f in $(^F) ; do \
		echo girara/$$f >> $@.tmp ; \
	done && \
	mv $@.tmp $@

${GETTEXT_PACKAGE}.pot: POTFILES.in
	$(ECHO) regenerate $@
	$(QUIET)intltool-update --pot --gettext-package=${GETTEXT_PACKAGE}

update-po: ${GETTEXT_PACKAGE}.pot
	$(call colorecho,PO,"Updating po files ${CATALOGS}")
	$(QUIET)set -e && for f in ${CATALOGS} ; do \
		intltool-update --dist --gettext-package=${GETTEXT_PACKAGE} `echo $$f | sed 's/\.po//'` ; \
		sed -i 's/Report-Msgid-Bugs-To: \\n/Report-Msgid-Bugs-To: http:\/\/bugs.pwmt.org\\n/'  "$$f" ; \
	done

%/LC_MESSAGES/${GETTEXT_PACKAGE}.mo: %.po
	@mkdir -p $(@D)
	$(call colorecho,MSGFMT,$(shell echo $< | sed 's/\.po//'))
	$(QUIET)${MSGFMT} ${MSGFMTFLAGS} -c $< -o $@

install: ${MOS}
	$(call colorecho,INSTALL,"Install translations")
	$(QUIET)set -e && for f in $^ ; do \
		mkdir -p -m 755 $(DESTDIR)$(LOCALEDIR)/`dirname $$f`; \
		install -m 644 $$f $(DESTDIR)$(LOCALEDIR)/`dirname $$f` ; \
	done

uninstall: ${MOS}
	$(call colorecho,UNINSTALL,"Uninstall translations")
	$(QUIET)set -e && for f in $^ ; do \
		rm -f $(LOCALEDIR)/$$f; \
	done

.PHONY: all clean install uninstall update-po

=== tests/Makefile ===
# See LICENSE file for license and copyright information

include ../config.mk
include ../common.mk
include ../colors.mk

include config.mk

PROJECT  = test
SOURCE   = tests.c $(wildcard test_*.c)
OBJECTS       = $(addprefix ${BUILDDIR_RELEASE}/,${SOURCE:.c=.o})
OBJECTS_DEBUG = $(addprefix ${BUILDDIR_DEBUG}/,${SOURCE:.c=.o})
OBJECTS_GCOV  = $(addprefix ${BUILDDIR_GCOV}/,${SOURCE:.c=.o})

GIRARA_OBJECTS = $(wildcard ${GIRARA_RELEASE}/*.o)
GIRARA_OBJECTS_DEBUG = $(wildcard ${GIRARA_DEBUG}/*.o)
GIRARA_OBJECTS_GCOV = $(wildcard ${GIRARA_GCOV}/*.o)

XDG_HELPER_SOURCE = xdg_test_helper.c
XDG_HELPER = $(addprefix ${BUILDDIR_RELEASE}/,${XDG_HELPER_SOURCE:.c=})

CPPFLAGS += -I../girara -DXDG_TEST_HELPER=\"${XDG_HELPER}\"

all: release ${XDG_HELPER}

../girara/version.h:
	$(MAKE) -C .. girara/version.h

# release

${OBJECTS}: config.mk ../config.mk ../girara/version.h

${BUILDDIR_RELEASE}/%.o: %.c
	$(call colorecho,CC,$<)
	@mkdir -p ${DEPENDDIR}/$(dir $(abspath $@))
	@mkdir -p $(dir $(abspath $@))
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} \
		-o $@ $< -MMD -MF ${DEPENDDIR}/$(abspath $@).dep

${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT}: ${OBJECTS}
	$(QUIET)$(MAKE) -C .. release
	$(call colorecho,CC,$@)
	@mkdir -p ${BUILDDIR_RELEASE}/${BINDIR}
	$(QUIET)${CC} ${SFLAGS} ${LDFLAGS} \
		-o ${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT} \
		${OBJECTS} ${GIRARA_OBJECTS} ${LIBS}

release: ${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT}

run: release ${XDG_HELPER}
	$(QUIET)env -u HOME ./${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT}
	$(QUIET)env HOME=/home/test ./${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT}

# debug

${OBJECTS_DEBUG}: config.mk ../config.mk ../girara/version.h

${BUILDDIR_DEBUG}/%.o: %.c
	@mkdir -p ${DEPENDDIR}/$(dir $(abspath $@))
	@mkdir -p $(dir $(abspath $@))
	$(call colorecho,CC,$<)
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${DFLAGS} \
		-o $@ $< -MMD -MF ${DEPENDDIR}/$(abspath $@).dep

${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}: ${OBJECTS_DEBUG}
	$(QUIET)$(MAKE) -C .. debug
	$(call colorecho,CC,$@)
	@mkdir -p ${BUILDDIR_DEBUG}/${BINDIR}
	$(QUIET)${CC} ${SFLAGS} ${LDFLAGS} \
		-o ${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT} \
		${OBJECTS} ${GIRARA_OBJECTS_DEBUG} ${LIBS}

debug: ${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}

run-debug: debug ${XDG_HELPER}
	$(QUIET)./${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}

# gcov

${OBJECTS_GCOV}: config.mk ../config.mk ../girara/version.h

${BUILDDIR_GCOV}/%.o: %.c
	@mkdir -p ${DEPENDDIR}/$(dir $(abspath $@))
	@mkdir -p $(dir $(abspath $@))
	$(call colorecho,CC,$<)
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${GCOV_CFLAGS} ${DFLAGS} ${GCOV_DFLAGS} \
		-o $@ $< -MMD -MF ${DEPENDDIR}/$(abspath $@).dep

${BUILDDIR_GCOV}/${BINDIR}/${PROJECT}: ${OBJECTS_GCOV}
	$(QUIET)$(MAKE) -C .. gcov
	$(call colorecho,CC,$@)
	@mkdir -p ${BUILDDIR_GCOV}/${BINDIR}
	$(QUIET)${CC} ${SFLAGS} ${LDFLAGS} ${GCOV_CFLAGS} ${GCOV_LDFLAGS} \
		-o ${BUILDDIR_GCOV}/${BINDIR}/${PROJECT} \
		${OBJECTS} ${GIRARA_OBJECTS_GCOV} ${LIBS}

gcov: ${BUILDDIR_GCOV}/${BINDIR}/${PROJECT}

run-gcov: gcov
	$(QUIET)./${BUILDDIR_GCOV}/${BINDIR}/${PROJECT}

# XDG test helper

${XDG_HELPER}: ${XDG_HELPER_SOURCE}
	$(MAKE) -C .. release
	@mkdir -p ${DEPENDDIR}/$(dir $(abspath $@))
	@mkdir -p $(dir $(abspath $@))
	$(call colorecho,CC,$@)
	$(QUIET)${CC} ${CPPFLAGS} ${CFLAGS} -o $@ $< ${GIRARA_OBJECTS} \
		${LDFLAGS} ${LIBS} -MMD -MF ${DEPENDDIR}/$(abspath $@).dep

clean:
	$(call colorecho,RM, "Clean test files")
	$(QUIET)rm -rf ${PROJECT}
	$(QUIET)rm -rf ${PROJECT}-debug
	$(QUIET)rm -rf ${PROJECT}-gcov
	$(QUIET)rm -rf ${BUILDDIR}
	$(QUIET)rm -rf ${DEPENDDIR}

.PHONY: all clean debug gciv run run-debug run-gcov

-include $(wildcard ${DEPENDDIR}/*.dep)

=== debian/changelog ===
girara (0.2.8-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Move to salsa.debian.org.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 24 Dec 2017 16:15:31 +0100

girara (0.2.8-1) experimental; urgency=medium

  * New upstream release.
    - Fix CSS issues with newer GTK+ 3. (Closes: #870470)
  * SONAME bump: libgirara-gtk3-2 => libgirara-gtk3-3.
  * debian/: Bump debhelper compat to 11.
  * debian/control:
    - Bump Standards-Version.
    - Bump libgtk-3-dev and libglib2.0-dev B-Ds according to upstream
      requirements.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 21 Dec 2017 19:19:30 +0100

=== debian/control ===
Source: girara
Section: libs
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 check,
 debhelper (>= 11),
 gettext,
 libglib2.0-dev (>= 2.50),
 libgtk-3-dev (>= 3.20),
 libjson-c-dev,
 libnotify-dev,
 pkg-config,
 xauth,
 xvfb
Build-Depends-Indep:
 doxygen,
 graphviz
Standards-Version: 4.1.2
Vcs-Git: https://salsa.debian.org/sramacher/girara.git
Vcs-Browser: https://salsa.debian.org/sramacher/girara
Homepage: https://pwmt.org/projects/girara/

Package: libgirara-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libgirara-gtk3-3 (= ${binary:Version}),
 libgtk-3-dev (>= 3.20),
 libnotify-dev,
 libjson-c-dev,
 ${misc:Depends}
Suggests:
 libgirara-doc (= ${source:Version})
Description: library for minimalistic user interfaces (development files)
 A library focused at implementing minimalistic user interfaces. It provides
 three main components: a view widget that represents the actual application,
 an input bar to execute application specific commands and a status bar which
 provides information to the user.
 .
 This package contains the development files.

Package: libgirara-gtk3-3
Architecture: any
Multi-Arch: same
Depends:
 xdg-utils,
 ${misc:Depends},
 ${shlibs:Depends}
Description: library for minimalistic user interfaces (shared libraries)
 A library focused at implementing minimalistic user interfaces. It provides
 three main components: a view widget that represents the actual application,
 an input bar to execute application specific commands and a status bar which
 provides information to the user.
 .
 This package contains the shared libraries.

Package: libgirara-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: library for minimalistic user interfaces (documentation)
 A library focused at implementing minimalistic user interfaces. It provides
 three main components: a view widget that represents the actual application,
 an input bar to execute application specific commands and a status bar which
 provides information to the user.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

# do not strip
export SFLAGS=
# build with verbose output
export VERBOSE=1
# install into multiarch libdir
export LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
# disable check's timeout funtionality
export CK_DEFAULT_TIMEOUT=0
# use little endian mo files everywhere
export MSGFMTFLAGS=--endianness little
# do not use colors
export COLOR=0

%:
	dh $@

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run -a $(MAKE) test
endif

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) doc
	find doc/build/html -name *.md5 -delete
endif

override_dh_auto_test-indep override_dh_auto_install-indep:
	# no tests and install for indep

=== debian/watch ===
version=4
https://pwmt.org/projects/girara/download girara-(.*)\.tar\.gz

## girara 0.3.0

=== meson_options.txt ===
option('enable-notify',
  type: 'boolean',
  value: true,
  description: 'Enable libnotify support if available.'
)
option('enable-json',
  type: 'boolean',
  value: true,
  description: 'Enable json-c support if available.'
)
option('enable-docs',
  type: 'boolean',
  value: true,
  description: 'Build Doxygen documentation if available.'
)

=== debian/changelog ===
girara (0.3.0-3) unstable; urgency=medium

  * debian/patches: Mark tests as skipped if setup fails.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 May 2018 09:35:43 +0200

girara (0.3.0-2) unstable; urgency=medium

  * debian/patches: Fail early for empty icon names.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 May 2018 17:59:46 +0200

girara (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Remove patches from upstream.
  * debian/control:
    - Bump Standards-Version.
    - Add B-D on pango.
    - Remove libnotify. The feature is not used by zathura.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 May 2018 15:21:35 +0200

girara (0.2.9-2) unstable; urgency=medium

  * debian/patches: Increase meson test output and don't run tests in parallel.
  * debian/rules:
    - Disable check timeouts again.
    - Build with all hardening flags.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Mar 2018 10:10:31 +0100

girara (0.2.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Update Standards-Version.
  * debian/: Update to new meson build system.
  * debian/libgirara-gtk3-3.symbols:
    - Add new symbol.
    - Remove internal symbols.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 16 Mar 2018 15:30:54 +0100

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,15 @@
  libglib2.0-dev (>= 2.50),
  libgtk-3-dev (>= 3.20),
  libjson-c-dev,
- libnotify-dev,
+ libpango1.0-dev,
+ meson (>= 0.43),
  pkg-config,
  xauth,
  xvfb
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/sramacher/girara.git
 Vcs-Browser: https://salsa.debian.org/sramacher/girara
 Homepage: https://pwmt.org/projects/girara/
@@ -28,8 +29,8 @@
 Depends:
  libgirara-gtk3-3 (= ${binary:Version}),
  libgtk-3-dev (>= 3.20),
- libnotify-dev,
  libjson-c-dev,
+ libpango1.0-dev,
  ${misc:Depends}
 Suggests:
  libgirara-doc (= ${source:Version})

## girara 0.3.1

=== meson_options.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 option('enable-notify',
   type: 'boolean',
-  value: true,
+  value: false,
   description: 'Enable libnotify support if available.'
 )
 option('enable-json',

=== debian/changelog ===
girara (0.3.1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 25 Oct 2018 18:26:02 -0700

girara (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Removed, no longer needed.
  * debian/control:
    - Bump Standards-Version.
    - Set Rules-Requires-Root: no.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 20 Sep 2018 21:09:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: girara
 Section: libs
 Priority: optional
-Maintainer: Sebastian Ramacher <sramacher@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  check,
  debhelper (>= 11),
@@ -17,10 +18,11 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/sramacher/girara.git
 Vcs-Browser: https://salsa.debian.org/sramacher/girara
 Homepage: https://pwmt.org/projects/girara/
+Rules-Requires-Root: no
 
 Package: libgirara-dev
 Architecture: any

## girara 0.3.2

=== debian/changelog ===
girara (0.3.2-1+rpi1) buster-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Mon, 31 Dec 2018 06:02:49 +0000

girara (0.3.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump meson B-D to 0.47.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 22 Dec 2018 16:21:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: girara
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Sebastian Ramacher <sramacher@debian.org>
+Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  check,
  debhelper (>= 11),
@@ -11,7 +10,7 @@
  libgtk-3-dev (>= 3.20),
  libjson-c-dev,
  libpango1.0-dev,
- meson (>= 0.43),
+ meson (>= 0.47),
  pkg-config,
  xauth,
  xvfb

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Use all hardening flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
# Disable check's timeout functionality
export CK_DEFAULT_TIMEOUT=0

%:
	dh $@

override_dh_auto_test-arch:
	#xvfb-run -a dh_auto_test -a

override_dh_auto_build-indep:
	dh_auto_build -i
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	find -name *.md5 -delete
endif

override_dh_auto_test-indep override_dh_auto_install-indep:
	# no tests and install for indep

=== debian/watch ===
version=4
https://pwmt.org/projects/girara/download girara-(.*)\.tar\.xz

## girara 0.3.4

=== meson_options.txt ===
option('notify',
  type: 'feature',
  value: 'disabled',
  description: 'notifications using libnotify'
)
option('json',
  type: 'feature',
  value: 'auto',
  description: 'dump configuration using JSON'
)
option('docs',
  type: 'feature',
  value: 'auto',
  description: 'doxygen API documentation'
)
option('tests',
  type: 'feature',
  value: 'auto',
  description: 'run tests'
)

=== debian/changelog ===
girara (0.3.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version
  * debian/copyright: Bump copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 06 Jan 2020 10:47:59 +0100

girara (0.3.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Fix meson B-D.
    - Bump debhelper comapt to 12.
    - Bump Standards-Version.
  * debian/libgirara-gtk3.symbols: Add new symbol.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Sep 2019 15:04:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  check,
- debhelper (>= 11),
+ debhelper-compat (= 12),
  gettext,
  libglib2.0-dev (>= 2.50),
  libgtk-3-dev (>= 3.20),
  libjson-c-dev,
  libpango1.0-dev,
- meson (>= 0.47),
+ meson (>= 0.48),
  pkg-config,
  xauth,
  xvfb
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/sramacher/girara.git
 Vcs-Browser: https://salsa.debian.org/sramacher/girara
 Homepage: https://pwmt.org/projects/girara/

## girara 0.3.5

=== debian/changelog ===
girara (0.3.5-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Bump debhelper compat to 13
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 27 Jul 2020 17:26:27 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  check,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  gettext,
  libglib2.0-dev (>= 2.50),
  libgtk-3-dev (>= 3.20),
@@ -17,7 +17,7 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/sramacher/girara.git
 Vcs-Browser: https://salsa.debian.org/sramacher/girara
 Homepage: https://pwmt.org/projects/girara/

## girara 0.3.6

=== debian/changelog ===
girara (0.3.6-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Aug 2021 11:20:11 +0200

girara (0.3.6-1) experimental; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version
  * debian/libgirara-gtk3.symbols: Add new symbol

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 14 Jul 2021 21:31:04 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/sramacher/girara.git
 Vcs-Browser: https://salsa.debian.org/sramacher/girara
 Homepage: https://pwmt.org/projects/girara/

## girara 0.3.7

=== debian/changelog ===
girara (0.3.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Sebastian Ramacher ]
  * New upstream version 0.3.7
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Feb 2022 19:32:19 +0100

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
  check,
  debhelper-compat (= 13),
  gettext,
- libglib2.0-dev (>= 2.50),
- libgtk-3-dev (>= 3.20),
+ libglib2.0-dev,
+ libgtk-3-dev,
  libjson-c-dev,
  libpango1.0-dev,
- meson (>= 0.48),
+ meson,
  pkg-config,
  xauth,
  xvfb
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/sramacher/girara.git
 Vcs-Browser: https://salsa.debian.org/sramacher/girara
 Homepage: https://pwmt.org/projects/girara/
@@ -29,7 +29,7 @@
 Multi-Arch: same
 Depends:
  libgirara-gtk3-3 (= ${binary:Version}),
- libgtk-3-dev (>= 3.20),
+ libgtk-3-dev,
  libjson-c-dev,
  libpango1.0-dev,
  ${misc:Depends}

## girara 0.4.0

=== debian/changelog ===
girara (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 18 Mar 2023 21:22:26 +0100

girara (0.3.9-1) unstable; urgency=medium

  * New upstream version 0.3.9
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Jan 2023 17:03:59 +0100

girara (0.3.8-1) unstable; urgency=medium

  * New upstream version 0.3.8
  * debian/control:
    - Update build dependencies
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 27 Nov 2022 17:16:16 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  gettext,
  libglib2.0-dev,
  libgtk-3-dev,
- libjson-c-dev,
+ libjson-glib-dev,
  libpango1.0-dev,
  meson,
  pkg-config,
@@ -17,7 +17,7 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/sramacher/girara.git
 Vcs-Browser: https://salsa.debian.org/sramacher/girara
 Homepage: https://pwmt.org/projects/girara/
@@ -30,7 +30,7 @@
 Depends:
  libgirara-gtk3-3 (= ${binary:Version}),
  libgtk-3-dev,
- libjson-c-dev,
+ libjson-glib-dev,
  libpango1.0-dev,
  ${misc:Depends}
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	dh $@
 
 override_dh_auto_test-arch:
-	#xvfb-run -a dh_auto_test -a
+	xvfb-run -a dh_auto_test -a
 
 override_dh_auto_build-indep:
 	dh_auto_build -i

## girara 0.4.2

=== debian/changelog ===
girara (0.4.2-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:07:43 +0000

girara (0.4.2-1.1build1) noble; urgency=medium

  * No-change rebuild against libgtk-3-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:10:23 +0000

girara (0.4.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062126

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 18:14:31 +0000

girara (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
    - Ellipsize status bar (Closes: #1060314)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 13 Jan 2024 19:00:24 +0100

girara (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * debian/rules: Refactor
  * debian/libgirara-gtk3-3.symbols: Add new symbol

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 08 Dec 2023 18:52:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: girara
 Section: libs
 Priority: optional
-Maintainer: Sebastian Ramacher <sramacher@debian.org>
-Build-Depends:
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sebastian Ramacher <sramacher@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5),
  check,
  debhelper-compat (= 13),
  gettext,
@@ -28,7 +29,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libgirara-gtk3-3 (= ${binary:Version}),
+ libgirara-gtk3-3t64 (= ${binary:Version}),
  libgtk-3-dev,
  libjson-glib-dev,
  libpango1.0-dev,
@@ -43,7 +44,10 @@
  .
  This package contains the development files.
 
-Package: libgirara-gtk3-3
+Package: libgirara-gtk3-3t64
+Provides: ${t64:Provides}
+Replaces: libgirara-gtk3-3
+Breaks: libgirara-gtk3-3 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends:

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,7 @@
 %:
 	dh $@
 
-override_dh_auto_test-arch:
-	xvfb-run -a dh_auto_test -a
-
-override_dh_auto_build-indep:
-	dh_auto_build -i
+execute_after_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	find -name *.md5 -delete
 endif

## girara 0.4.4

=== debian/changelog ===
girara (0.4.4-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 0.4.4
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 01 May 2024 23:30:27 +0200

girara (0.4.3-1) experimental; urgency=medium

  * New upstream version 0.4.3
  * debian/copyright: Update copyright years
  * SONAME bump: libgirara-gtk3-3 -> libgirara-gtk3-4
  * debian/copyright:
    * Switch pkg-config to pkgconf
    * Mark test dependencies with <!nocheck>

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Mar 2024 17:06:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: girara
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastian Ramacher <sramacher@debian.org>
+Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5),
- check,
+ check <!nocheck>,
  debhelper-compat (= 13),
  gettext,
  libglib2.0-dev,
@@ -12,13 +11,13 @@
  libjson-glib-dev,
  libpango1.0-dev,
  meson,
- pkg-config,
- xauth,
- xvfb
+ pkgconf,
+ xauth <!nocheck>,
+ xvfb <!nocheck>
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/sramacher/girara.git
 Vcs-Browser: https://salsa.debian.org/sramacher/girara
 Homepage: https://pwmt.org/projects/girara/
@@ -29,7 +28,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libgirara-gtk3-3t64 (= ${binary:Version}),
+ libgirara-gtk3-4 (= ${binary:Version}),
  libgtk-3-dev,
  libjson-glib-dev,
  libpango1.0-dev,
@@ -44,10 +43,7 @@
  .
  This package contains the development files.
 
-Package: libgirara-gtk3-3t64
-Provides: ${t64:Provides}
-Replaces: libgirara-gtk3-3
-Breaks: libgirara-gtk3-3 (<< ${source:Version})
+Package: libgirara-gtk3-4
 Architecture: any
 Multi-Arch: same
 Depends:

## girara 0.4.5

=== debian/changelog ===
girara (0.4.5-1) unstable; urgency=medium

  * New upstream version 0.4.5
  * debian/: Remove testing with check

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 09 Dec 2024 23:39:16 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5),
- check <!nocheck>,
  debhelper-compat (= 13),
  gettext,
  libglib2.0-dev,

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 
 # Use all hardening flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-# Disable check's timeout functionality
-export CK_DEFAULT_TIMEOUT=0
 
 %:
 	dh $@

=== debian/watch ===
version=4
https://pwmt.org/projects/girara/download/ girara-(.*)\.tar\.xz

## girara 2026.01.30

=== debian/changelog ===
girara (2026.01.30-1) experimental; urgency=medium

  * New upstream version 2026.01.30
  * SONAME bump: libgirara-gtk3-4 -> libgirara-gtk3-5
  * debian/control:
    - Bump Standards-Version
    - Drop RRR: no
    - Drop Priority: optional

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 30 Jan 2026 22:20:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: girara
 Section: libs
-Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
@@ -16,18 +15,17 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/sramacher/girara.git
 Vcs-Browser: https://salsa.debian.org/sramacher/girara
 Homepage: https://pwmt.org/projects/girara/
-Rules-Requires-Root: no
 
 Package: libgirara-dev
 Architecture: any
 Section: libdevel
 Multi-Arch: same
 Depends:
- libgirara-gtk3-4 (= ${binary:Version}),
+ libgirara-gtk3-5 (= ${binary:Version}),
  libgtk-3-dev,
  libjson-glib-dev,
  libpango1.0-dev,
@@ -42,7 +40,7 @@
  .
  This package contains the development files.
 
-Package: libgirara-gtk3-4
+Package: libgirara-gtk3-5
 Architecture: any
 Multi-Arch: same
 Depends:

## girara 2026.02.03

=== debian/changelog ===
girara (2026.02.03-1) experimental; urgency=medium

  * New upstream version 2026.02.03
  * SONAME hange: libgirara-gtk3-5 -> libgirara5
  * debian/control:
    - Update (build) dependencies for new version
    - Update package descriptions for reduced functionality

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 03 Feb 2026 22:13:09 +0100

## girara 2026.02.04

=== meson_options.txt ===
option('docs',
  type: 'feature',
  value: 'auto',
  description: 'doxygen API documentation'
)
option('tests',
  type: 'feature',
  value: 'auto',
  description: 'run tests'
)

=== debian/changelog ===
girara (2026.02.04-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 07 Feb 2026 21:45:52 +0100

girara (2026.02.04-1) experimental; urgency=medium

  * New upstream version 2026.02.04

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 04 Feb 2026 09:17:52 +0100

=== debian/control ===
Source: girara
Section: libs
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libglib2.0-dev,
 meson,
 pkgconf
Build-Depends-Indep:
 doxygen,
 graphviz
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/sramacher/girara.git
Vcs-Browser: https://salsa.debian.org/sramacher/girara
Homepage: https://pwmt.org/projects/girara/

Package: libgirara-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libgirara5 (= ${binary:Version}),
 libglib2.0-dev,
 ${misc:Depends}
Suggests:
 libgirara-doc (= ${source:Version})
Description: common components for zathura and its plugins (development files)
 A library focused at implementing minimalistic user interfaces. It provides
 common datastructures and interfaces used by the document viewer and its
 plugins.
 .
 This package contains the development files.

Package: libgirara5
Architecture: any
Multi-Arch: same
Depends:
 xdg-utils,
 ${misc:Depends},
 ${shlibs:Depends}
Description: common components for zathura and its plugins (shared libraries)
 A library focused at implementing minimalistic user interfaces. It provides
 common datastructures and interfaces used by the document viewer and its
 plugins.
 .
 This package contains the shared libraries.

Package: libgirara-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: common components for zathura and its plugins (documentation)
 A library focused at implementing minimalistic user interfaces. It provides
 common datastructures and interfaces used by the document viewer and its
 plugins.
 .
 This package contains the documentation.

=== debian/watch ===
Version: 5

Source: https://pwmt.org/projects/girara/download/
Matching-Pattern: girara-(.*)\.tar\.xz
